### org.jfree.layouting.input.style.parser

# Class FixNamespaceSelectorFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.FixNamespaceSelectorFactory`

Implemented Interfaces:
  SelectorFactory

`public class FixNamespaceSelectorFactory`
`extends java.lang.Object`
`implements SelectorFactory`

Creation-Date: 23.04.2006, 15:06:07

Author:
  Thomas Morgner

  ## Constructor Summary

  `FixNamespaceSelectorFactory(SelectorFactory parent)`

  ## Method Summary

  `SimpleSelector`

  `createAnyNodeSelector()`

  `CharacterDataSelector`

  `createCDataSectionSelector(String data)`

  `DescendantSelector`

  `createChildSelector(Selector parent, SimpleSelector child)`

  `CharacterDataSelector`

  `createCommentSelector(String data)`

  `ConditionalSelector`

  `createConditionalSelector(SimpleSelector selector, Condition condition)`

  `DescendantSelector`

  `createDescendantSelector(Selector parent, SimpleSelector descendant)`

  `SiblingSelector`

  `createDirectAdjacentSelector(short nodeType, Selector child, SimpleSelector directAdjacent)`

  `ElementSelector`

  `createElementSelector(String namespaceURI, String tagName)`

  `NegativeSelector`

  `createNegativeSelector(SimpleSelector selector)`

  `ProcessingInstructionSelector`

  `createProcessingInstructionSelector(String target, String data)`

  `ElementSelector`

  `createPseudoElementSelector(String namespaceURI, String pseudoName)`

  `SimpleSelector`

  `createRootNodeSelector()`

  `CharacterDataSelector`

  `createTextNodeSelector(String data)`

## Constructor Details

### FixNamespaceSelectorFactory

    public FixNamespaceSelectorFactory(SelectorFactory parent)

## Method Details

### createAnyNodeSelector

    public SimpleSelector createAnyNodeSelector()
                throws CSSException

### createCDataSectionSelector

    public CharacterDataSelector createCDataSectionSelector(String data)
                throws CSSException

### createChildSelector

    public DescendantSelector createChildSelector(Selector parent,
                                                  SimpleSelector child)
                throws CSSException

### createCommentSelector

    public CharacterDataSelector createCommentSelector(String data)
                throws CSSException

### createConditionalSelector

    public ConditionalSelector createConditionalSelector(SimpleSelector selector,
                                                         Condition condition)
                throws CSSException

### createDescendantSelector

    public DescendantSelector createDescendantSelector(Selector parent,
                                                       SimpleSelector descendant)
                throws CSSException

### createDirectAdjacentSelector

    public SiblingSelector createDirectAdjacentSelector(short nodeType,
                                                        Selector child,
                                                        SimpleSelector directAdjacent)
                throws CSSException

### createElementSelector

    public ElementSelector createElementSelector(String namespaceURI,
                                                 String tagName)
                throws CSSException

### createNegativeSelector

    public NegativeSelector createNegativeSelector(SimpleSelector selector)
                throws CSSException

### createProcessingInstructionSelector

    public ProcessingInstructionSelector createProcessingInstructionSelector(String target,
                                                                             String data)
                throws CSSException

### createPseudoElementSelector

    public ElementSelector createPseudoElementSelector(String namespaceURI,
                                                       String pseudoName)
                throws CSSException

### createRootNodeSelector

    public SimpleSelector createRootNodeSelector()
                throws CSSException

### createTextNodeSelector

    public CharacterDataSelector createTextNodeSelector(String data)
                throws CSSException